Problema con la biblioteca de geografía en Python

Quiero usar la biblioteca de geografía para extraer los detalles de los lugares. No puedo instalarlo. Instalé almohada, periódico, lxml, beautifulsoup4 y todos los nltk Corpas. Al instalar el periódico, me estaba dando un error en la biblioteca de distribución-0.6.21, así que lo instalé y después de eso, me encuentro con un error a continuación para cada módulo que bash instalar:

$ conda install newspaper Traceback (most recent call last): File "/Users/palakagrawal/anaconda/lib/python3.5/site-packages/conda/exceptions.py", line 626, in conda_exception_handler return_value = func(*args, **kwargs) File "/Users/palakagrawal/anaconda/lib/python3.5/site-packages/conda/cli/main.py", line 85, in _main from ..base.context import context File "/Users/palakagrawal/anaconda/lib/python3.5/site-packages/conda/base/context.py", line 18, in  from .._vendor.auxlib.path import expand File "/Users/palakagrawal/anaconda/lib/python3.5/site-packages/conda/_vendor/auxlib/path.py", line 8, in  import pkg_resources File "/Users/palakagrawal/anaconda/lib/python3.5/site-packages/pkg_resources.py", line 45 def _bypass_ensure_directory(name, mode=0777): ^ SyntaxError: invalid token During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/Users/palakagrawal/anaconda/bin/conda", line 6, in  sys.exit(conda.cli.main()) File "/Users/palakagrawal/anaconda/lib/python3.5/site-packages/conda/cli/main.py", line 162, in main return conda_exception_handler(_main, *args) File "/Users/palakagrawal/anaconda/lib/python3.5/site-packages/conda/exceptions.py", line 630, in conda_exception_handler return handle_exception(e) File "/Users/palakagrawal/anaconda/lib/python3.5/site-packages/conda/exceptions.py", line 620, in handle_exception print_unexpected_error_message(e) File "/Users/palakagrawal/anaconda/lib/python3.5/site-packages/conda/exceptions.py", line 561, in print_unexpected_error_message from conda.base.context import context File "/Users/palakagrawal/anaconda/lib/python3.5/site-packages/conda/base/context.py", line 18, in  from .._vendor.auxlib.path import expand File "/Users/palakagrawal/anaconda/lib/python3.5/site-packages/conda/_vendor/auxlib/path.py", line 8, in  import pkg_resources File "/Users/palakagrawal/anaconda/lib/python3.5/site-packages/pkg_resources.py", line 45 def _bypass_ensure_directory(name, mode=0777): ^ SyntaxError: invalid token 

Por favor, ayúdeme con el error anterior y sugiérame la forma de instalar el módulo de geografía

Si estás en Python 3, debes asegurarte de que todos los paquetes que utilizas sean compatibles con Python 3. El error que obtienes se debe a la nueva syntax del número octal en Python3, por lo que la siguiente línea:

 def _bypass_ensure_directory(name, mode=0777): 

Debiera ser:

 def _bypass_ensure_directory(name, mode=0o777): 

para Python 3. Recibirá este error, ya que el paquete no fue diseñado para Python 3.

Algunas adiciones a la respuesta aceptada:

De hecho, está claro que la geograpy solo admite Python 2, como sugirió Kamyar.

A menos que la extracción del nombre del lugar sea su única tarea en Python, le recomendaría que encuentre una manera de lograrlo que funcione con Python 3. Elija otro paquete geográfico, o si su objective es el reconocimiento de entidades, use el nltk directamente, que admite Python 3 ( geograpy usa el nltk detrás de las escenas). El paquete geograpy no se ha actualizado desde 2014, por lo que es probable que pueda encontrar algo que satisfaga sus necesidades de todos modos.

Si decide ejecutar esto en Python2, cree un nuevo entorno Anaconda para él con conda create --name new_env_name python=2 . Consulte https://conda.io/docs/py2or3.html#install-a-different-version-of-python para obtener más información. Luego puede usar el comando Anaconda activate (por ejemplo, . activate new_env_name ) para cambiar entre sus entornos.

Hay una versión / fork de python 3, geogra py3 Para instrucciones de instalación, visite https://pypi.org/project/geograpy3/